#1
When updating to a new patch, do you need to download every patch up to the current, or only the current patch? For example:

You install a game right out of the package, it installs at v. 1.12.

You check patches for the game, and see that there are patches for v. 1.2, 1.3, 1.35, and 1.4.

Do you need to download 1.2, 1.3, and 1.35 before downloading 1.4?

Sorry, I'm a noob at PC gaming.
Quote by Les_Frederiksen
PlayMadness, you give me hope for mankind.

Quote by Darksucker
PlayMadness - Jesus 2.0

Quote by genghisgandhi
Society's doing great. There's a rise of people like PlayMadness. I feel pretty good about the way things are going.
#2
Usually it will automatically download ALL the patches for you. Or else if you have to go and find them yourself usually you wont be able to download a patch without having the prior one. So pretty much, yes you need all of them (I think)
#3
You'll have to download all previous patches. Unless you can somehow download the latest client of said game.

Richwood Les Paul RE-135
Ibanez RG350DX
Takamine Dreadnought
Hohner Telecaster Copy
Epiphone Thunderbird-IV Pro
Crafter Cruiser bass
#4
Quote by no lolage
Usually it will automatically download ALL the patches for you. Or else if you have to go and find them yourself usually you wont be able to download a patch without having the prior one. So pretty much, yes you need all of them (I think)

hes right. you need them in order
"Spin the middle side topwise. Topwise!"

"And there's Jimmy Page, the biggest thief of American Blues music"
#6
It if helps at all, the game is Warcraft III: Frozen Throne.
Quote by Les_Frederiksen
PlayMadness, you give me hope for mankind.

Quote by Darksucker
PlayMadness - Jesus 2.0

Quote by genghisgandhi
Society's doing great. There's a rise of people like PlayMadness. I feel pretty good about the way things are going.
#9
Quote by Atreideslegend
i've only ever downloaded the latest patch for a game and it never seemed to be a problem


Do you download the client from the site? Because that's normally fairly updated.

Richwood Les Paul RE-135
Ibanez RG350DX
Takamine Dreadnought
Hohner Telecaster Copy
Epiphone Thunderbird-IV Pro
Crafter Cruiser bass
#10
Depends on the game a lot of the time. For instance, i play BF2 pretty avidly. I had to re-install it a few weeks back, the disk only installs version 1 of the game. I only downloaded the latest patch for it and it worked.

For another game i like to play, WH40k Dawn of War, i had to install every patch in order for it to work online. Very tiresome.

Best thing to do is download the latest patch and see if it will work. If it does, its all fine and dandy, if it doesn't. Just download the rest in order, knowing that you have the latest already.
For those who care.
Current Gear
Cort Zenox Z42
Flextone II
Charvel USA So-Cal
Farida M2 Parlour Acoustic
Admira Hand-built Spanish Acoustic
Blackstar HT-5H
Line 6 M13
#11
A proper patch should contain all previous fixes / patches, so you only ever need the latest patch. Think about it, do you download all the previous drivers for your GFX card?? Nope.

SH
#12
Quote by boreamor
Do you download the client from the site? Because that's normally fairly updated.


Well i usually wikipedia the game to find out the latest version and then type it into google and get it off the first site that comes up. I'm not really sure what u mean by client, but then i havent bought a non-steam game in about year or so so mabye things have changed?